Send a message
curl --request POST \
--url https://sigmachat.org/api/v1/boards/{boardId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"embeds": [
{
"title": "<string>",
"description": "<string>",
"url": "<string>",
"color": "<string>",
"image": {
"url": "<string>"
},
"fields": [
{
"name": "<string>",
"value": "<string>",
"inline": true
}
]
}
],
"replyTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://sigmachat.org/api/v1/boards/{boardId}/messages"
payload = {
"content": "<string>",
"embeds": [
{
"title": "<string>",
"description": "<string>",
"url": "<string>",
"color": "<string>",
"image": { "url": "<string>" },
"fields": [
{
"name": "<string>",
"value": "<string>",
"inline": True
}
]
}
],
"replyTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
embeds: [
{
title: '<string>',
description: '<string>',
url: '<string>',
color: '<string>',
image: {url: '<string>'},
fields: [{name: '<string>', value: '<string>', inline: true}]
}
],
replyTo: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://sigmachat.org/api/v1/boards/{boardId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Send a message
POST
/
boards
/
{boardId}
/
messages
Send a message
Authorizations
An app token from the in-app developer settings.
Path Parameters
Body
application/json
Response
200
The stored message.
Was this page helpful?
⌘I